Subject: Re: I could not build libtool 1.4c under cygwin - help needed!
From: Charles Wilson <[email-masked]>
To: Stipe Tolj <[email-masked]>
Cc: Alexei Lioubimov <[email-masked]>, [email-masked]
Date: Mon, 03 Dec 2001 01:10:00 -0500

Stipe Tolj wrote:
> 
> >       0 [main] sh 296183 fork_copy: user/cygwin data pass 2 failed,
> > 0x980000..0xD58000, done 0, windows pid 4294563005, Win32 error 8
> >       0 [main] sh 374123 fork_copy: user/cygwin data pass 2 failed,
> > 0x980000..0xD59000, done 0, windows pid 4294565321, Win32 error 8
> > ./configure: Cannot fork: Resource temporarily unavailable./configure:
> > Cannot fork: Resource temporarily unavailable
> >
> > appending configuration tag "RC" to libtool
> >       0 [main] sh 372071 fork_copy: user/cygwin data pass 2 failed,
> > 0x980000..0xD57000, done 0, windows pid 4294618817, Win32 error 8
> > eval: Cannot fork: Resource temporarily unavailable
> > checking for ANSI C header files... yes
> >       0 [main] sh 432587 fork_copy: user/cygwin data pass 2 failed,
> > 0x980000..0xD57000, done 0, windows pid 4294601765, Win32 error 8
> > /configure: Cannot fork: Resource temporarily unavailable
> > checking for dirent.h that defines DIR... eval: 1: Syntax error: Bad
> > substitution
> > make[2]: *** [libtool] Error 2
> > make[2]: Leaving directory `/cygdrive/d/home/alexei/src/libtool/libltdl'
> > make[1]: *** [all] Error 2
> > make[1]: Leaving directory `/cygdrive/d/home/alexei/src/libtool/libltdl'
> > make: *** [all-recursive] Error 1
> 
> your system could not fork -- for what reason ever -- processes, so
> make breaks here.
> 
> This shouldn't be this way on a working, clean Cygwin system?!?!

Correct.  This seems to indicate a messed up cygwin installation, and
probably has little to do with libtool itself.  (BTW, libtool-1.4.2
builds OOB on cygwin -- but it's 'oldstyle' and uses dlltool to build
DLL's and doesn't use the new auto-import/export features of binutils).

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/